Bug 545760 - broken trigger in acpid update
Summary: broken trigger in acpid update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: acpid
Version: 5.5
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jiri Skala
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
: 545710 (view as bug list)
Depends On:
Blocks: 548374
TreeView+ depends on / blocked
 
Reported: 2009-12-09 10:13 UTC by Stephan Wiesand
Modified: 2018-10-27 15:16 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The acpid package contains a trigger scriptlet that returns a non-zero exit code if the /var/log/acpid log file does not exist. Prior to this update, if the acpid daemon was installed but never started on the system and the /var/log/acpid file did not exist, the scriptlet did not function properly and caused the package update process to fail, which could have resulted in two different acpid packages being installed on the system and registered with the RPM database (rpmdb). With this update, the acpid package has removed the spurious acpid record from rpmdb so that the problem is now fixed.
Clone Of: CVE-2009-4033, CVE-2009-4235
Environment:
Last Closed: 2011-12-06 19:32:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1786 normal SHIPPED_LIVE acpid bug fix update 2011-12-06 18:06:11 UTC

Description Stephan Wiesand 2009-12-09 10:13:45 UTC
Description of problem:

The trigger in the updated package is broken:

triggerin scriptlet (using /bin/sh) -- acpid <= 1.0.4-9.el5_4.1
[ -f /var/log/acpid ] && chmod 0644 /var/log/acpid*

If acpid is installed but never ran, /var/log/acpid does not exist, the trigger
fails, the transaction is aborted, the system is left with two instances of
acpid, ...  

Version-Release number of selected component (if applicable):

1.0.4-9.el5_4.1

Comment 2 Tomas Hoger 2009-12-15 11:50:58 UTC
A fairly obvious instructions to clean this up if that occurred, that may be useful to those that come across this bug.  You can remove old package manually using rpm or yum and providing full NVR, not only package name.

Get list of installed acpid packages:
# rpm -q acpid
acpid-1.0.4-9.el5
acpid-1.0.4-9.el5_4.1

Remove old one (acpid-1.0.4-9.el5) using rpm or yum:
# rpm -e acpid-1.0.4-9.el5
  or
# yum erase acpid-1.0.4-9.el5

If you don't need to run acpid, it can be uninstalled completely.

Comment 5 David Kovalsky 2009-12-16 15:49:48 UTC
*** Bug 545710 has been marked as a duplicate of this bug. ***

Comment 7 Tuomo Soini 2009-12-16 18:33:26 UTC
I vote against decision not to fix this issue. Fix is very simple and only requires new release of package with fixed script.

This is clearly a bug in package and needs fixing. Rpm scripts can't just fail.

Comment 8 Mika Ilmaranta 2009-12-16 20:40:47 UTC
I vote for fixing this. Going through every xen-virtual server by hand is not much fun.

Comment 10 Jonas Courteau 2009-12-18 19:10:27 UTC
Agreed - this is causing our config management stuff to error out due to the error status returned by yum when installing this package on new installs.

Comment 11 Ondrej Vasik 2009-12-19 07:45:11 UTC
Only to explain comment https://bugzilla.redhat.com/show_bug.cgi?id=545710#c5 which brought some confusion here... that bugzilla got rejected because of the process reasons - not because the fix is not planned. So don't worry, the bug is planned to be fixed.

Comment 16 Stephan Wiesand 2011-09-14 11:27:44 UTC
This issue was fixed swiftly back then, and this bz should probably be "closed errata".

Comment 19 Petr Kovar 2011-10-07 14:18:23 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The acpid package contains a trigger scriptlet that returns a non-zero exit code if the /var/log/acpid log file does not exist. Prior to this update, if the acpid daemon was installed but never started on the system and the /var/log/acpid file did not exist, the scriptlet did not function properly and caused the package update process to fail, which could have resulted in two different acpid packages being installed on the system and registered with the RPM database (rpmdb). With this update, the acpid package has removed the spurious acpid record from rpmdb so that the problem is now fixed.

Comment 21 errata-xmlrpc 2011-12-06 19:32:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1786.html


Note You need to log in before you can comment on or make changes to this bug.